## ros-melodic-moveit-ros-visualization 1.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_ros_visualization)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  # suppress warning in Ogre
  add_compile_options(-Wno-deprecated-register)
endif()

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED thread date_time system filesystem)
find_package(catkin REQUIRED COMPONENTS
  class_loader
  geometric_shapes
  interactive_markers
  moveit_ros_perception
  moveit_ros_planning_interface
  moveit_ros_robot_interaction
  moveit_ros_warehouse
  object_recognition_msgs
  pluginlib
  rosconsole
  roscpp
  rospy
  rviz
  tf2_eigen
  roscpp
  rosconsole
  object_recognition_msgs
)
# TODO: Remove when Kinetic support is dropped
if(rviz_VERSION VERSION_LESS 1.13.1) # Does rviz supports TF2?
  add_definitions(-DRVIZ_TF1)
endif()

find_package(Eigen3 REQUIRED)

# Qt Stuff
if(rviz_QT_VERSION VERSION_LESS "5")
  find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
  include(${QT_USE_FILE})
  macro(qt_wrap_ui)
    qt4_wrap_ui(${ARGN})
  endmacro()
else()
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
  macro(qt_wrap_ui)
    qt5_wrap_ui(${ARGN})
  endmacro()
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
  LIBRARIES
    moveit_motion_planning_rviz_plugin_core
    moveit_planning_scene_rviz_plugin_core
    moveit_robot_state_rviz_plugin_core
    moveit_rviz_plugin_render_tools
    moveit_trajectory_rviz_plugin_core
  INCLUDE_DIRS
    motion_planning_rviz_plugin/include
    planning_scene_rviz_plugin/include
    robot_state_rviz_plugin/include
    rviz_plugin_render_tools/include
    trajectory_rviz_plugin/include
  CATKIN_DEPENDS
    moveit_ros_planning_interface
    moveit_ros_robot_interaction
    object_recognition_msgs
    roscpp
    rviz
  DEPENDS
    EIGEN3
)

catkin_install_python(PROGRAMS scripts/moveit_joy.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
catkin_python_setup()

include_directories(rviz_plugin_render_tools/include
                    robot_state_rviz_plugin/include
                    planning_scene_rviz_plugin/include
                    motion_planning_rviz_plugin/include
                    trajectory_rviz_plugin/include
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS})

include_directories(SYSTEM
                    ${EIGEN3_INCLUDE_DIRS}
                    ${QT_INCLUDE_DIR})

add_subdirectory(rviz_plugin_render_tools)
add_subdirectory(robot_state_rviz_plugin)
add_subdirectory(planning_scene_rviz_plugin)
add_subdirectory(motion_planning_rviz_plugin)
add_subdirectory(trajectory_rviz_plugin)

install(FILES
  motion_planning_rviz_plugin_description.xml
  trajectory_rviz_plugin_description.xml
  planning_scene_rviz_plugin_description.xml
  robot_state_rviz_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/moveit_joy.test)
endif()

## ros-melodic-moveit-ros-visualization 1.0.7

=== debian/changelog ===
ros-melodic-moveit-ros-visualization (1.0.7-1stretch) stretch; urgency=high

  * [feature] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [fix] Fix "Clear Octomap" button, disable when no octomap is published (#2320 <https://github.com/ros-planning/moveit/issues/2320>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.6-1stretch) stretch; urgency=high

  * [feature] MP display: add units to joints tab (#2264 <https://github.com/ros-planning/moveit/issues/2264>)
  * [feature] Allow adding planning scene shapes from rviz panel (#2198 <https://github.com/ros-planning/moveit/issues/2198>)
  * [feature] Default to Planning tab initially (#2061 <https://github.com/ros-planning/moveit/issues/2061>)
  * [fix]     Fix deferred robot model loading (#2245 <https://github.com/ros-planning/moveit/issues/2245>)
  * [maint]   Migrate to clang-format-10
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Jorge Nicho, Markus Vieth, Michael Görner, Robert Haschke, Michael Görner

 -- Jon Binney <jon.binney@gmail.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.5-1stretch) stretch; urgency=high

  * [feature] Improve rviz GUI to add PlanningScene objects. Ask for scaling large meshes. (#2142 <https://github.com/ros-planning/moveit/issues/2142>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [maint]   Fix catkin_lint issues (#2120 <https://github.com/ros-planning/moveit/issues/2120>)
  * [feature] PlanningSceneDisplay speedup (#2049 <https://github.com/ros-planning/moveit/issues/2049>)
  * [feature] Added support for PS4 joystick (#2060 <https://github.com/ros-planning/moveit/issues/2060>)
  * [fix]     MP display: planning attempts are natural numbers (#2076 <https://github.com/ros-planning/moveit/issues/2076>, #2082 <https://github.com/ros-planning/moveit/issues/2082>)
  * Contributors: Felix von Drigalski, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Simon Schmeisser, TrippleBender

 -- Jon Binney <jon.binney@gmail.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.4-1stretch) stretch; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.3-1stretch) stretch; urgency=high

  * [fix]     MotionPlanningDisplay: change internal shortcut Ctrl+R to Ctrl+I (#1967 <https://github.com/ros-planning/moveit/issues/1967>)
  * [fix]     Remove PlanningSceneInterface from rviz display, but use its PlanningSceneMonitor instead
  * [fix]     Fix segfault in RobotStateVisualization (#1941 <https://github.com/ros-planning/moveit/issues/1941>)
  * [feature] Provide visual feedback on success of requestPlanningSceneState()
  * [feature] Wait for get_planning_scene in background (#1934 <https://github.com/ros-planning/moveit/issues/1934>)
  * [feature] Reduce step size for pose-adapting widgets
  * [fix]     Reset scene_marker when disabling motion planning panel
  * [fix]     Enable/disable motion planning panel with display
  * [fix]     Enable/disable pose+scale group box when collision object is selected/deselected
  * [fix]     Correctly populate the list of scene objects in the motion planning panel
  * [feature] Resize scene marker with collision object
  * [feature] Show attached bodies in trajectory trail (#1766 <https://github.com/ros-planning/moveit/issues/1766>)
  * [fix]     Fix REALTIME trajectory playback (#1683 <https://github.com/ros-planning/moveit/issues/1683>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Notice changes in rviz planning panel requiring saving (#1991 <https://github.com/ros-planning/moveit/issues/1991>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]     Fix pruning of enclosed nodes when rendering octomap in RViz (#1685 <https://github.com/ros-planning/moveit/issues/1685>)
  * [fix]     Fix missing scene_manager initialization in OcTreeRender's  constructor (#1817 <https://github.com/ros-planning/moveit/issues/1817>)
  * [feature] new Joints tab in RViz motion panel (#1308 <https://github.com/ros-planning/moveit/issues/1308>)
  * [feature] Add <previous> robot state to RViz motion panel (#1742 <https://github.com/ros-planning/moveit/issues/1742>)
  * Contributors: Bjar Ne, Dale Koenig, MarqRazz, Max Krichenbauer, Michael Görner, Robert Haschke, RyodoTanaka, Sean Yen, Takara Kasai, Yannick Jonetzko, Yu, Yan, v4hn

 -- Jon Binney <jon.binney@gmail.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.2-1stretch) stretch; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)
  * Contributors: Mahmoud Ahmed Selim

 -- Jon Binney <jon.binney@gmail.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.1-1stretch) stretch; urgency=high



=== debian/control ===
Source: ros-melodic-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-geometric-shapes, ros-melodic-interactive-markers, ros-melodic-moveit-ros-perception, ros-melodic-moveit-ros-planning-interface, ros-melodic-moveit-ros-robot-interaction, ros-melodic-moveit-ros-warehouse, ros-melodic-object-recognition-msgs, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rviz, ros-melodic-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometric-shapes, ros-melodic-interactive-markers, ros-melodic-moveit-ros-perception, ros-melodic-moveit-ros-planning-interface, ros-melodic-moveit-ros-robot-interaction, ros-melodic-moveit-ros-warehouse, ros-melodic-object-recognition-msgs, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rviz, ros-melodic-tf2-eigen
Description: Components of MoveIt! that offer visualization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-ros-visualization//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-ros-visualization 1.0.11

=== debian/changelog ===
ros-melodic-moveit-ros-visualization (1.0.11-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.10-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.9-1bionic) bionic; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Contributors: Michael Görner, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.8-1bionic) bionic; urgency=high

  * Remove unused model_is_loading_
  * Fix deadlock in PlanningSceneDisplay
  * Call renderPlanningScene() only if planning_scene_render_ is valid
  * Keep MotionPlanningFrame hidden on Display::reset()
  * Catch exceptions during RobotModel loading in rviz (#2468 <https://github.com/ros-planning/moveit/issues/2468>)
  * Fix QObject::connect: Cannot queue arguments of type 'QVector<int>' (#2392 <https://github.com/ros-planning/moveit/issues/2392>)
  * Contributors: Robert Haschke, Simon Schmeisser, Tyler Weaver

 -- Jon Binney <jon.binney@gmail.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.7-1bionic) bionic; urgency=high

  * [feature] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [fix] Fix "Clear Octomap" button, disable when no octomap is published (#2320 <https://github.com/ros-planning/moveit/issues/2320>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.6-1bionic) bionic; urgency=high

  * [feature] MP display: add units to joints tab (#2264 <https://github.com/ros-planning/moveit/issues/2264>)
  * [feature] Allow adding planning scene shapes from rviz panel (#2198 <https://github.com/ros-planning/moveit/issues/2198>)
  * [feature] Default to Planning tab initially (#2061 <https://github.com/ros-planning/moveit/issues/2061>)
  * [fix]     Fix deferred robot model loading (#2245 <https://github.com/ros-planning/moveit/issues/2245>)
  * [maint]   Migrate to clang-format-10
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Jorge Nicho, Markus Vieth, Michael Görner, Robert Haschke, Michael Görner

 -- Jon Binney <jon.binney@gmail.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.5-1bionic) bionic; urgency=high

  * [feature] Improve rviz GUI to add PlanningScene objects. Ask for scaling large meshes. (#2142 <https://github.com/ros-planning/moveit/issues/2142>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [maint]   Fix catkin_lint issues (#2120 <https://github.com/ros-planning/moveit/issues/2120>)
  * [feature] PlanningSceneDisplay speedup (#2049 <https://github.com/ros-planning/moveit/issues/2049>)
  * [feature] Added support for PS4 joystick (#2060 <https://github.com/ros-planning/moveit/issues/2060>)
  * [fix]     MP display: planning attempts are natural numbers (#2076 <https://github.com/ros-planning/moveit/issues/2076>, #2082 <https://github.com/ros-planning/moveit/issues/2082>)
  * Contributors: Felix von Drigalski, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Simon Schmeisser, TrippleBender

 -- Jon Binney <jon.binney@gmail.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.4-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.3-1bionic) bionic; urgency=high

  * [fix]     MotionPlanningDisplay: change internal shortcut Ctrl+R to Ctrl+I (#1967 <https://github.com/ros-planning/moveit/issues/1967>)
  * [fix]     Remove PlanningSceneInterface from rviz display, but use its PlanningSceneMonitor instead
  * [fix]     Fix segfault in RobotStateVisualization (#1941 <https://github.com/ros-planning/moveit/issues/1941>)
  * [feature] Provide visual feedback on success of requestPlanningSceneState()
  * [feature] Wait for get_planning_scene in background (#1934 <https://github.com/ros-planning/moveit/issues/1934>)
  * [feature] Reduce step size for pose-adapting widgets
  * [fix]     Reset scene_marker when disabling motion planning panel
  * [fix]     Enable/disable motion planning panel with display
  * [fix]     Enable/disable pose+scale group box when collision object is selected/deselected
  * [fix]     Correctly populate the list of scene objects in the motion planning panel
  * [feature] Resize scene marker with collision object
  * [feature] Show attached bodies in trajectory trail (#1766 <https://github.com/ros-planning/moveit/issues/1766>)
  * [fix]     Fix REALTIME trajectory playback (#1683 <https://github.com/ros-planning/moveit/issues/1683>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Notice changes in rviz planning panel requiring saving (#1991 <https://github.com/ros-planning/moveit/issues/1991>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Jon Binney <jon.binney@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-geometric-shapes, ros-melodic-interactive-markers, ros-melodic-moveit-ros-perception, ros-melodic-moveit-ros-planning-interface, ros-melodic-moveit-ros-robot-interaction, ros-melodic-moveit-ros-warehouse, ros-melodic-object-recognition-msgs, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rviz, ros-melodic-tf2-eigen
+Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-geometric-shapes, ros-melodic-interactive-markers, ros-melodic-moveit-ros-perception, ros-melodic-moveit-ros-planning-interface, ros-melodic-moveit-ros-robot-interaction, ros-melodic-moveit-ros-warehouse, ros-melodic-object-recognition-msgs, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest <!nocheck>, ros-melodic-rviz, ros-melodic-tf2-eigen
 Homepage: http://moveit.ros.org
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
